| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csG2DDrawLine< Tpixel, Tpixmixer > Class Template Reference
[Common Plugin Classes]

Class to draw a line. More...

`#include <csplugincommon/canvas/draw_line.h>`

List of all members.

## Static Public Member Functions
static void | DrawLine (csGraphics2D *G2D, float x1, float y1, float x2, float y2, Tpixel color, uint8 alpha)
| Draw a line.

## Detailed Description

### template<class Tpixel, class Tpixmixer>
class csG2DDrawLine< Tpixel, Tpixmixer >

Class to draw a line.

Definition at line 36 of file draw_line.h.

## Member Function Documentation

template<class Tpixel, class Tpixmixer>

static void csG2DDrawLine< Tpixel, Tpixmixer >::DrawLine | ( | csGraphics2D * | G2D,
|  | float | x1,
|  | float | y1,
|  | float | x2,
|  | float | y2,
|  | Tpixel | color,
|  | uint8 | alpha |
| ) |  |  | `[inline, static]`

Draw a line.

Definition at line 40 of file draw_line.h.

References csQfixed16(), csQint(), csGraphics2D::GetPixelAt(), csGraphics2D::LineAddress, and csGraphics2D::Memory.

The documentation for this class was generated from the following file:

- csplugincommon/canvas/draw_line.h